Arithmetic Function Object Classes
Utilities » Function Objects
Collaboration diagram for Arithmetic Function Object Classes:

## Classes

struct | std::divides< _Tp >
struct | std::divides< void >
struct | std::minus< _Tp >
struct | std::minus< void >
struct | std::modulus< _Tp >
struct | std::modulus< void >
struct | std::multiplies< _Tp >
struct | std::multiplies< void >
struct | std::negate< _Tp >
struct | std::negate< void >
struct | std::plus< _Tp >

## Macros

#define | __cpp_lib_transparent_operators

## Detailed Description

The library provides function objects for basic arithmetic operations. See the documentation for function objects for examples of their use.

## Macro Definition Documentation

## __cpp_lib_transparent_operators

#define __cpp_lib_transparent_operators

Definition at line 241 of file stl_function.h.